.tools-container
  .tools-content(*ngIf="isModuleStoreToolActive()", @open, @close, (@open.done)="onToolsContentOpened()")
    ng-container(*ngTemplateOutlet="moduleStoreToolContent")
  .tools-content(*ngIf="isModuleSetupToolActive()", @open, @close, (@open.done)="onToolsContentOpened()")
    ng-container(*ngTemplateOutlet="moduleSetupToolContent")
  .tools-content(*ngIf="isWarningsToolActive()", @open, @close, (@open.done)="onToolsContentOpened()")
    ng-container(*ngTemplateOutlet="warningsToolContent")
  .tools-menu
    button(nz-button, [nzType]="isModuleStoreToolActive() ? 'primary' : 'default'", nzShape="square", [disabled]="isModuleStoreToolDisabled()",
      nz-tooltip, nzTooltipTitle="Store", nzTooltipMouseEnterDelay="1", (click)="onClickModuleStoreTool()")
      i(nz-icon, nzType="plus")
    button(nz-button, [nzType]="isModuleSetupToolActive() ? 'primary' : 'default'", nzShape="square", [disabled]="isModuleSetupToolDisabled()",
      nz-tooltip, nzTooltipTitle="Setup", nzTooltipMouseEnterDelay="1", (click)="onClickModuleSetupTool()")
      i(nz-icon, nzType="select")
    nz-badge([nzCount]="workflowErrors.length", [nzOffset]="offset")
      button(nz-button, [nzType]="isWarningsToolActive() ? 'primary' : 'default'", nzShape="square", [disabled]="isWarningsToolDisabled()",
        nz-tooltip, nzTooltipTitle="Warnings", nzTooltipMouseEnterDelay="1", (click)="onClickWarningsTool()")
        i(nz-icon, nzType="exclamation-circle")
